/** this is a manual conversion of the DWARF IDL file "DwarfCommon.idl" */

/***************************************************************************
 *                         DwarfCommon.idl  -  description
 *                            -------------------
 *   begin                : Mon Jul  8 09:59:39 MEST 2002
 *   copyright            : (C) 2002 by Martin Wagner
 *   email                : wagnerm@in.tum.de
 *
 *   $Id: DwarfCommon.idl,v 1.5 2003/03/30 22:18:48 toennis Exp $
 *   $Revision: 1.5 $
 *
 *   This idl contains data types and interfaces needed by most DWARF 
 *   components.
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef __DWARFCOMMON_IDL
#define __DWARFCOMMON_IDL

namespace DWARF {
  
  /*
   * This struct is the common Time format used between 
   * all DWARF services.
   */
  struct Time {
    unsigned long seconds;
    unsigned long microseconds;
  };

};

#endif // __DWARFCOMMON_IDL
