/****************************************************************************
** Form implementation generated from reading ui file '../../source/DisplayWindow.ui'
**
** Created: Mi Jun 1 13:55:23 2005
**      by: The User Interface Compiler ($Id: qt/main.cpp   3.3.3   edited Nov 24 2003 $)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "uic_DisplayWindow.h"

#include <qvariant.h>
#include <qpushbutton.h>
#include <qlabel.h>
#include <qcheckbox.h>
#include <qlineedit.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qimage.h>
#include <qpixmap.h>

#include "PoseSequenceView.h"
/*
 *  Constructs a DisplayWindow as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The dialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal dialog.
 */
DisplayWindow::DisplayWindow( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "DisplayWindow" );
    DisplayWindowLayout = new QVBoxLayout( this, 11, 6, "DisplayWindowLayout"); 

    PSeqView = new PoseSequenceView( this, "PSeqView" );
    PSeqView->setSizePolicy( QSizePolicy( (QSizePolicy::SizeType)7, (QSizePolicy::SizeType)7, 0, 0, PSeqView->sizePolicy().hasHeightForWidth() ) );
    DisplayWindowLayout->addWidget( PSeqView );

    layout5 = new QHBoxLayout( 0, 0, 6, "layout5"); 

    textLabel1_2 = new QLabel( this, "textLabel1_2" );
    textLabel1_2->setFrameShape( QLabel::NoFrame );
    textLabel1_2->setFrameShadow( QLabel::Plain );
    layout5->addWidget( textLabel1_2 );

    CheckEnableX = new QCheckBox( this, "CheckEnableX" );
    CheckEnableX->setChecked( TRUE );
    layout5->addWidget( CheckEnableX );

    CheckEnableY = new QCheckBox( this, "CheckEnableY" );
    layout5->addWidget( CheckEnableY );

    CheckEnableZ = new QCheckBox( this, "CheckEnableZ" );
    layout5->addWidget( CheckEnableZ );

    CheckSigma = new QCheckBox( this, "CheckSigma" );
    layout5->addWidget( CheckSigma );

    CheckEnableRx = new QCheckBox( this, "CheckEnableRx" );
    layout5->addWidget( CheckEnableRx );

    CheckEnableRy = new QCheckBox( this, "CheckEnableRy" );
    layout5->addWidget( CheckEnableRy );

    CheckEnableRz = new QCheckBox( this, "CheckEnableRz" );
    layout5->addWidget( CheckEnableRz );

    CheckEnableRw = new QCheckBox( this, "CheckEnableRw" );
    layout5->addWidget( CheckEnableRw );

    CheckEnableDots = new QCheckBox( this, "CheckEnableDots" );
    layout5->addWidget( CheckEnableDots );
    spacer2 = new QSpacerItem( 100, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout5->addItem( spacer2 );

    textLabel1 = new QLabel( this, "textLabel1" );
    layout5->addWidget( textLabel1 );

    EditMouseX = new QLineEdit( this, "EditMouseX" );
    EditMouseX->setAlignment( int( QLineEdit::AlignRight ) );
    layout5->addWidget( EditMouseX );
    DisplayWindowLayout->addLayout( layout5 );

    layout6 = new QHBoxLayout( 0, 0, 6, "layout6"); 

    textLabel2 = new QLabel( this, "textLabel2" );
    layout6->addWidget( textLabel2 );

    ButtonYAdapt = new QPushButton( this, "ButtonYAdapt" );
    ButtonYAdapt->setAutoDefault( FALSE );
    layout6->addWidget( ButtonYAdapt );

    ButtonYReset = new QPushButton( this, "ButtonYReset" );
    layout6->addWidget( ButtonYReset );

    textLabel2_2 = new QLabel( this, "textLabel2_2" );
    layout6->addWidget( textLabel2_2 );

    ButtonXZoomIn = new QPushButton( this, "ButtonXZoomIn" );
    layout6->addWidget( ButtonXZoomIn );

    ButtonXZoomOut = new QPushButton( this, "ButtonXZoomOut" );
    layout6->addWidget( ButtonXZoomOut );
    spacer3_2 = new QSpacerItem( 16, 20, QSizePolicy::Expanding, QSizePolicy::Minimum );
    layout6->addItem( spacer3_2 );

    textLabel1_3 = new QLabel( this, "textLabel1_3" );
    layout6->addWidget( textLabel1_3 );

    EditMouseY = new QLineEdit( this, "EditMouseY" );
    EditMouseY->setAlignment( int( QLineEdit::AlignRight ) );
    layout6->addWidget( EditMouseY );
    DisplayWindowLayout->addLayout( layout6 );
    languageChange();
    resize( QSize(781, 592).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( CheckEnableX, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableX(bool) ) );
    connect( CheckEnableY, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableY(bool) ) );
    connect( CheckEnableZ, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableZ(bool) ) );
    connect( ButtonYAdapt, SIGNAL( clicked() ), PSeqView, SLOT( ZoomYLocal() ) );
    connect( ButtonYReset, SIGNAL( clicked() ), PSeqView, SLOT( ZoomYGlobal() ) );
    connect( ButtonXZoomIn, SIGNAL( clicked() ), PSeqView, SLOT( ZoomXIn() ) );
    connect( ButtonXZoomOut, SIGNAL( clicked() ), PSeqView, SLOT( ZoomXOut() ) );
    connect( CheckSigma, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableVariance(bool) ) );
    connect( CheckEnableRx, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableRx(bool) ) );
    connect( CheckEnableRy, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableRy(bool) ) );
    connect( CheckEnableRz, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableRz(bool) ) );
    connect( CheckEnableRw, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableRw(bool) ) );
    connect( CheckEnableDots, SIGNAL( toggled(bool) ), PSeqView, SLOT( enableDots(bool) ) );
    connect( PSeqView, SIGNAL( CursorChanged(double,double) ), this, SLOT( UpdateCursorPos(double,double) ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
DisplayWindow::~DisplayWindow()
{
    // no need to delete child widgets, Qt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void DisplayWindow::languageChange()
{
    setCaption( tr( "Display" ) );
    textLabel1_2->setText( tr( "Enable:" ) );
    CheckEnableX->setText( tr( "X" ) );
    CheckEnableY->setText( tr( "Y" ) );
    CheckEnableZ->setText( tr( "Z" ) );
    CheckSigma->setText( tr( "Sigma" ) );
    CheckEnableRx->setText( tr( "Rx" ) );
    CheckEnableRy->setText( tr( "Ry" ) );
    CheckEnableRz->setText( tr( "Rz" ) );
    CheckEnableRw->setText( tr( "Rw" ) );
    CheckEnableDots->setText( tr( "Dots" ) );
    textLabel1->setText( tr( "X (s)" ) );
    textLabel2->setText( tr( "Y Axis Scale:" ) );
    ButtonYAdapt->setText( tr( "Adapt to view" ) );
    ButtonYReset->setText( tr( "Reset" ) );
    textLabel2_2->setText( tr( "X Axis Scale:" ) );
    ButtonXZoomIn->setText( tr( "Zoom In" ) );
    ButtonXZoomOut->setText( tr( "Zoom Out" ) );
    textLabel1_3->setText( tr( "Y (m)" ) );
}

void DisplayWindow::UpdateCursorPos(double,double)
{
    qWarning( "DisplayWindow::UpdateCursorPos(double,double): Not implemented yet" );
}

